//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8LB1_Register_Enums.h>                  // SFR declarations
#include "Project_DefsVarsFuncs.h"

void FullSpeed_Forward(void)
{
	MOT_R_nEN = 1;
	MOT_L_nEN = 1;

	MOT_R_PWM = 1;
	MOT_L_PWM = 1;

	MOT_R_DIR = 1;
	MOT_L_DIR = 1;

	MOT_R_nEN = 0;
	MOT_L_nEN = 0;
}

void FullSpeed_Reverse(void)
{
	MOT_R_nEN = 1;
	MOT_L_nEN = 1;

	MOT_R_PWM = 1;
	MOT_L_PWM = 1;

	MOT_R_DIR = 0;
	MOT_L_DIR = 0;

	MOT_R_nEN = 0;
	MOT_L_nEN = 0;
}

void FullSpeed_TurnRight(void)
{
	MOT_R_nEN = 1;
	MOT_L_nEN = 1;

	MOT_R_PWM = 1;
	MOT_L_PWM = 1;

	MOT_R_DIR = 0;
	MOT_L_DIR = 1;

	MOT_R_nEN = 0;
	MOT_L_nEN = 0;
}

void FullSpeed_TurnLeft(void)
{
	MOT_R_nEN = 1;
	MOT_L_nEN = 1;

	MOT_R_PWM = 1;
	MOT_L_PWM = 1;

	MOT_R_DIR = 1;
	MOT_L_DIR = 0;

	MOT_R_nEN = 0;
	MOT_L_nEN = 0;
}

void StopMotors(void)
{
	MOT_R_nEN = 1;
	MOT_L_nEN = 1;
}

